Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezstats/admin/datasupplier.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: datasupplier.php 6484 2001-08-17 13:36:01Z jhe $
5 //
6 // Created on: <23-Oct-2000 17:53:46 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "ezuser/classes/ezpermission.php" );
28 // include_once( "classes/ezhttptool.php" );
29 $user =& eZUser::currentUser();
30 if ( eZPermission::checkPermission( $user, "eZStats", "ModuleEdit" ) == false )
31 {
32 eZHTTPTool::header( "Location: /error/403" );
33 exit();
34 }
35
36 switch ( $url_array[2] )
37 {
38 case "overview" :
39 {
40 include( "kernel/ezstats/admin/overview.php" );
41 }
42 break;
43
44 case "pageviewlist" :
45 {
46 $ViewMode = $url_array[3];
47 $ViewLimit = $url_array[4];
48 $Offset = $url_array[5];
49
50 include( "kernel/ezstats/admin/pageviewlist.php" );
51 }
52 break;
53
54 case "visitorlist" :
55 {
56 $ViewMode = $url_array[3];
57 $ViewLimit = $url_array[4];
58 $Offset = $url_array[5];
59
60 include( "kernel/ezstats/admin/visitorlist.php" );
61 }
62 break;
63
64 case "refererlist" :
65 {
66 $ViewMode = $url_array[3];
67 $ViewLimit = $url_array[4];
68 $Offset = $url_array[5];
69 if ( !isset( $ExcludeDomain ) )
70 $ExcludeDomain = $url_array[6];
71
72 include( "kernel/ezstats/admin/refererlist.php" );
73 }
74 break;
75
76 case "browserlist" :
77 {
78 $ViewMode = $url_array[3];
79 $ViewLimit = $url_array[4];
80 $Offset = $url_array[5];
81
82 include( "kernel/ezstats/admin/browserlist.php" );
83 }
84 break;
85
86 case "requestpagelist" :
87 {
88 $ViewMode = $url_array[3];
89 $ViewLimit = $url_array[4];
90 $Offset = $url_array[5];
91
92 include( "kernel/ezstats/admin/requestpagelist.php" );
93 }
94 break;
95
96 case "yearreport" :
97 {
98 $Year = $url_array[3];
99
100 include( "kernel/ezstats/admin/yearreport.php" );
101 }
102 break;
103
104 case "monthreport" :
105 {
106 $Year = $url_array[3];
107 $Month = $url_array[4];
108
109 include( "kernel/ezstats/admin/monthreport.php" );
110 }
111 break;
112
113 case "dayreport" :
114 {
115 $Year = $url_array[3];
116 $Month = $url_array[4];
117 $Day = $url_array[5];
118
119 include( "kernel/ezstats/admin/dayreport.php" );
120 }
121 break;
122
123 case "productreport" :
124 {
125 $Year = $url_array[3];
126 $Month = $url_array[4];
127
128 include( "kernel/ezstats/admin/productreport.php" );
129 }
130 break;
131
132 case "entryexitreport" :
133 {
134 $Year = $url_array[3];
135 $Month = $url_array[4];
136
137 include( "kernel/ezstats/admin/entryexitpages.php" );
138 }
139 break;
140
141 }
142
143 ?>
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
eZPermission\checkPermission
static checkPermission( $user, $moduleName, $permissionName)
Definition: ezpermission.php:430
eZUser\currentUser
static & currentUser()
Definition: ezuser.php:896
$url_array
$url_array
Definition: ezaddress/admin/datasupplier.php:34
$Offset
$Offset
Definition: ezarticle/user/search.php:110
$Month
$Month
Definition: ezcalendar/user/dayview.php:78
$Day
$Day
Definition: ezcalendar/user/dayview.php:79
$user
$user
Definition: ezstats/admin/datasupplier.php:29
exit
exit
Definition: folder.php:81
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.